This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 432270 - Serious sata_nv disk problems when disabling DMA
Serious sata_nv disk problems when disabling DMA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 14:27 EST by Vlado Potisk
Modified: 2009-01-09 00:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log (6.71 KB, text/plain)
2008-02-10 14:27 EST, Vlado Potisk
no flags Details
dmesg old kernel (OK) (23.26 KB, text/plain)
2008-02-21 18:13 EST, Vlado Potisk
no flags Details
dmesg new kernel (BUG) (35.59 KB, text/plain)
2008-02-21 18:14 EST, Vlado Potisk
no flags Details

  None (edit)
Description Vlado Potisk 2008-02-10 14:27:28 EST
Description of problem:
In the early stage of the system start (after unmounting old /dev, /proc, and
/sys) multiple errors were reported on my /dev/sda, this disk was then kicked
from the RAID1 array, the boot process then finished with the remaining disk
/dev/sdb of the same type, but the disk I/O and the system response in general
was extremely slow. I assumed a hardware problem in the first moment, but with
the previous kernel version is everything going well.

Version-Release number of selected component (if applicable):
kernel-2.6.23.14-115.fc8 is broken
kernel-2.6.23.14-107.fc8 is fine

How reproducible:
Always (2 failures out of 2 tries)

Steps to Reproduce:
just boot the Fedora Linux
  
Actual results:
Multiple disk errors, see the attached log

Expected results:
Normal operation

Additional info:
both disks: Western Digital WD3200YS
controller: nVidia Corporation CK804 Serial ATA Controller
CPU: AMD Athlon64 (single core)
kernel disk modules: pata_amd, sata_nv, ata_generic, libata
Comment 1 Vlado Potisk 2008-02-10 14:27:28 EST
Created attachment 294507 [details]
system log
Comment 2 Vlado Potisk 2008-02-16 03:47:34 EST
Problem persists in kernel-2.6.23.15-137.fc8.x86_64.

Disk speed (hdparm -t) is normally above 60MB/s, with the kernels that cause me
problems it is only about 8MB/s (with only one of the disks usable).
Comment 3 Vlado Potisk 2008-02-21 16:17:50 EST
Similar problem has been described in the bug #432016.
Comment 4 Chuck Ebbert 2008-02-21 17:38:00 EST
(In reply to comment #1)
> Created an attachment (id=294507) [edit]
> system log
> 

Please post the entire boot log (/var/log/dmesg) from the old and new kernels.
Comment 5 Vlado Potisk 2008-02-21 18:13:56 EST
Created attachment 295569 [details]
dmesg old kernel (OK)
Comment 6 Vlado Potisk 2008-02-21 18:14:52 EST
Created attachment 295570 [details]
dmesg new kernel (BUG)
Comment 7 Vlado Potisk 2008-02-22 18:34:08 EST
I have found what the kernel did not like. In my modprobe.conf there was:
options libata dma=6
which I forgot there recently when I was trying to find a workaround for the bug
#427961. In every new kernel this option appeared in the nash script in the
mkinitrd file.

After recreating the mkinitrd files without the libata DMA option I can now boot
all the kernels.

If disabling DMA for disks may cause such problems then this was not a bug, but
my mistake. In the case that disabling DMA is not supposed to break things then
there is still a problem.
Comment 8 Chuck Ebbert 2008-02-22 23:25:25 EST
Disabling DMA on SATA disks caused these strange errors on sata_nv:

ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata1.00: cmd c4/00:d8:f4:32:5e/00:00:00:00:00/e0 tag 0 cdb 0x0 data 110592 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata1: soft resetting port
ata1: port is slow to respond, please be patient (Status 0xd8)
ata1: SRST failed (errno=-16)
ata1: hard resetting port
ata1: port is slow to respond, please be patient (Status 0xd8)
ata1: COMRESET failed (errno=-16)
ata1: hard resetting port
ata1: port is slow to respond, please be patient (Status 0xd8)
ata1: COMRESET failed (errno=-16)
ata1: limiting SATA link speed to 1.5 Gbps
ata1: hard resetting port
ata1: COMRESET failed (errno=-16)
ata1: reset failed, giving up
ata1.00: disabled
ata1: EH complete
sd 0:0:0:0: [sda] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sda, sector 6173428
raid1: sda2: rescheduling sector 5980648
sd 0:0:0:0: [sda] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sda, sector 6173428
sd 0:0:0:0: [sda] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sda, sector 6173428
raid1: Disk failure on sda2, disabling device. 
	Operation continuing on 1 devices
raid1: sdb2: redirecting sector 5980648 to another mirror
Comment 9 Robert Hancock 2008-02-22 23:52:41 EST
Rather mysterious.. It seems the controller is reporting a bunch of SError bits
for things like PHY ready change, link sequence error, etc. Not sure if that is
a cause or effect though.

I don't know any reason why PIO shouldn't work on disks with sata_nv ADMA, it's
certainly not a well tested configuration though (and it doesn't really make
sense to do it with most SATA controllers)..
Comment 10 Bug Zapper 2008-11-26 04:46:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 00:58:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.